
Katello - Bug #6029

hammer repo list --product=<name> returns wrong repos

06/03/2014 12:41 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1103945 Red Hat JIRA:  

Pull request:    

Description

hammer repository list  --product-id=2 --organization-id=1 works well and returns the repositories belonging to the product.

OTOH

hammer repository list  --product=foo --organization-id=1 where foo is the name of the product, returns repositories belonging to all

products in that organization.

After some debugging it looks like the repositories controller never really gets a product_id sent as parameter when --product=foo is

used.

History

#1 - 06/03/2014 12:46 AM - Partha Aji

- Category set to Hammer

#2 - 06/03/2014 06:00 PM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103945

#3 - 06/05/2014 03:12 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 02:57 PM - Eric Helms

- Status changed from New to Closed

#5 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
